> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate UKG Payroll Template

> Name and signature indicate it generates ukg payroll template

Required scope: `integrations:read`

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/generate-ukg-payroll-template
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/generate-ukg-payroll-template:
    get:
      operationId: generateUKGPayrollTemplate
      summary: Generate UKG Payroll Template
      x-toku-required-scope: integrations:read
      description: |-
        Name and signature indicate it generates ukg payroll template

        Required scope: `integrations:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateUKGPayrollTemplateResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GenerateUKGPayrollTemplateResponse:
      type: object
      properties:
        csvData:
          type: string
        filename:
          type: string
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
